Incidencia #44617

distribute() fingerprint

Abrir Fecha: 2022-05-16 08:07 Última actualización: 2022-06-22 06:12

Informador:
Propietario:
Tipo:
Estado:
Cerrado
Componente:
Hito:
Prioridad:
5 - Medium
Gravedad:
5 - Medium
Resolución:
Fixed
Fichero:
2

Details

distribute() should not accept negative number of groups nor rates. It's fingerprint should be changed to:

void distribute(int number, unsigned groups, const unsigned *ratios, int *result);

I assume that this change would silence clang analyzer warning we're getting about the function - seems to me that the path leading to the problem can be taken only when 'groups' is negative.

Ticket History (3/6 Histories)

2022-05-16 08:07 Updated by: cazfi
  • New Ticket "distribute() fingerprint" created
2022-05-28 17:29 Updated by: cazfi
  • Hito Update from (Ninguno) to 3.0.3
2022-06-15 09:57 Updated by: cazfi
  • Propietario Update from (Ninguno) to cazfi
  • Resolución Update from Ninguno to Accepted
2022-06-22 06:12 Updated by: cazfi
  • Estado Update from Open to Cerrado
  • Resolución Update from Accepted to Fixed

Editar

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Entrar